EasyCatalog for InDesign CS5.5

Following Adobe’s recent announcement of InDesign CS5.5, we have compiled a list of frequently asked questions regarding EasyCatalog compatibility:[divider]

I currently own EasyCatalog for InDesign CS2/CS3/CS4. Is this compatible with InDesign CS5.5?

No, the EasyCatalog plug-ins for these versions of InDesign are not compatible with InDesign CS5.5.[hr]

I currently own EasyCatalog for InDesign CS5. Is this compatible with InDesign CS5.5?

A CS5.5 installer is now available for download from our downloads page. Your existing EasyCatalog CS5 serial number will activate the CS5.5 version.[hr]

I only purchased EasyCatalog recently but would like to upgrade to InDesign CS5.5. Do I need to upgrade my license?

If you purchased a new EasyCatalog license within the last six months then the upgrade will be free of charge. If you already have a CS5 license then an upgrade is not necessary as your license code will work.[hr]

I have owned EasyCatalog for a while. Do I need to upgrade my license?

Yes, upgrades can be purchased from our web store. We only charge for upgrading between versions of InDesign — minor updates are free of charge.[hr]

How much will the upgrade cost?

The upgrade cost depends on which version of EasyCatalog you currently have:[divider][wpdatatable id=15][hr]

When will EasyCatalog for InDesign CS5.5 be available?

The CS5.5 version of EasyCatalog is now available for download from our downloads page.[hr]

If I purchase EasyCatalog now, can I upgrade to the InDesign CS5.5 version later?

Yes – we offer a six month grace period during which time all new licenses purchased can be upgraded to a later version of InDesign free of charge.[hr]

Will my existing documents and EasyCatalog data sources work with the CS5.5 version?

Yes. Your EasyCatalog data sources will be opened by the CS5.5 version of EasyCatalog; your InDesign documents and libraries will be converted to the newer format by InDesign itself.

× Shopping Cart

Your cart is empty.

MAIN MENU